提交 c7d1d4e1 编写于 作者: J Junio C Hamano

Use backticks in git-merge-one-file-script instead of $(command).

Thomas Glanzmann says that shell he uses on Solaris cannot grok
$(command) but the script does not use nested $(command) and 
works happily just by using backticks instead.
Signed-off-by: NJunio C Hamano <junkio@cox.net>
上级 8eef4d3e
...@@ -52,9 +52,9 @@ case "${1:-.}${2:-.}${3:-.}" in ...@@ -52,9 +52,9 @@ case "${1:-.}${2:-.}${3:-.}" in
# #
"$1$2$3") "$1$2$3")
echo "Auto-merging $4." echo "Auto-merging $4."
orig=$(git-unpack-file $1) orig=`git-unpack-file $1`
src1=$(git-unpack-file $2) src1=`git-unpack-file $2`
src2=$(git-unpack-file $3) src2=`git-unpack-file $3`
merge "$src2" "$orig" "$src1" merge "$src2" "$orig" "$src1"
ret=$? ret=$?
if [ "$6" != "$7" ]; then if [ "$6" != "$7" ]; then
...@@ -64,7 +64,7 @@ case "${1:-.}${2:-.}${3:-.}" in ...@@ -64,7 +64,7 @@ case "${1:-.}${2:-.}${3:-.}" in
echo "ERROR: Leaving conflict merge in $src2." echo "ERROR: Leaving conflict merge in $src2."
exit 1 exit 1
fi fi
sha1=$(git-write-blob "$src2") || { sha1=`git-write-blob "$src2"` || {
echo "ERROR: Leaving conflict merge in $src2." echo "ERROR: Leaving conflict merge in $src2."
} }
exec git-update-cache --add --cacheinfo "$6" $sha1 "$4" ;; exec git-update-cache --add --cacheinfo "$6" $sha1 "$4" ;;
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册